public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: x11-libs/xview/
Date: Mon, 22 Feb 2016 13:25:58 +0000 (UTC)	[thread overview]
Message-ID: <1456139967.3e0a8c14f67d70ca851753dee63bbae19621ab7b.jlec@gentoo> (raw)

commit:     3e0a8c14f67d70ca851753dee63bbae19621ab7b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 11:19:27 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 11:19:27 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3e0a8c14

x11-libs/xview: Bump to EAPI=6

* Break lines at < 80 chars
* Add missing die

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 x11-libs/xview/metadata.xml        |  2 +-
 x11-libs/xview/xview-3.2-r8.ebuild | 49 ++++++++++++++++++++++----------------
 2 files changed, 30 insertions(+), 21 deletions(-)

diff --git a/x11-libs/xview/metadata.xml b/x11-libs/xview/metadata.xml
index fc33570..1d8b530 100644
--- a/x11-libs/xview/metadata.xml
+++ b/x11-libs/xview/metadata.xml
@@ -5,7 +5,7 @@
     <email>jlec@gentoo.org</email>
     <name>Justin Lecher</name>
   </maintainer>
-<maintainer type="project">
+  <maintainer type="project">
     <email>sci@gentoo.org</email>
     <name>Gentoo Science Project</name>
   </maintainer>

diff --git a/x11-libs/xview/xview-3.2-r8.ebuild b/x11-libs/xview/xview-3.2-r8.ebuild
index 28b02c9..7aa0d76 100644
--- a/x11-libs/xview/xview-3.2-r8.ebuild
+++ b/x11-libs/xview/xview-3.2-r8.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
 inherit eutils toolchain-funcs flag-o-matic multilib
 
@@ -34,21 +34,21 @@ DEPEND="${RDEPEND}
 
 S=${WORKDIR}/${MY_PN}
 
+PATCHES=(
+	"${FILESDIR}"/${P}-impl-dec.patch
+	"${WORKDIR}"/debian/patches/{debian-changes-3.2p1.4-26,display_setting}
+)
+
 src_prepare() {
+	default
+
 	append-flags -m32
 	append-ldflags -m32
 
-	EPATCH_OPTS="-p1"
-
-	epatch \
-		"${FILESDIR}"/${P}-impl-dec.patch \
-		"${WORKDIR}"/debian/patches/{debian-changes-3.2p1.4-26,display_setting}
-
 	# Do not build xgettext and msgfmt since they are provided by the gettext
 	# package. Using the programs provided by xview breaks many packages
 	# including vim, grep and binutils.
-	sed \
-		-e 's/MSG_UTIL = xgettext msgfmt/#MSG_UTIL = xgettext msgfmt/' \
+	sed -e 's/MSG_UTIL = xgettext msgfmt/#MSG_UTIL = xgettext msgfmt/' \
 		-i util/Imakefile || die "gettext sed failed"
 
 	# (#120910) Look for imake in the right place
@@ -57,12 +57,15 @@ src_prepare() {
 	sed -i -e 's:/usr/X11R6:/usr:' config/XView.cf Build-LinuxXView.bash || die
 
 	# Nasty hacks to force CC and CFLAGS
-	sed \
-		-e "s:^\(IMAKEINCLUDE=.*\)\"$:\1 -DCcCmd=$(tc-getCC)\":" \
-		-e "s:usr/lib/X11/config:usr/$(get_libdir)/X11/config:" -i Build-LinuxXView.bash || die
-	sed -e "s:\(.*STD_DEFINES =.*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" -i config/XView.obj || die
-	sed -e "s:\(.*define LibXViewDefines .*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" -i config/XView.cf || die
-	sed -e "s:^\(MORECCFLAGS.*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" -i clients/olvwm-4.1/Imakefile
+	sed -e "s:^\(IMAKEINCLUDE=.*\)\"$:\1 -DCcCmd=$(tc-getCC)\":" \
+		-e "s:usr/lib/X11/config:usr/$(get_libdir)/X11/config:" \
+		-i Build-LinuxXView.bash || die
+	sed -e "s:\(.*STD_DEFINES =.*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" \
+		-i config/XView.obj || die
+	sed -e "s:\(.*define LibXViewDefines .*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" \
+		-i config/XView.cf || die
+	sed -e "s:^\(MORECCFLAGS.*\)$:\1 -D_GNU_SOURCE ${CFLAGS}:" \
+		-i clients/olvwm-4.1/Imakefile || die
 	sed -e "s:\(-Wl,-soname\):${LDFLAGS} \1:g" -i config/XView.rules || die
 }
 
@@ -99,12 +102,18 @@ src_install() {
 #		|| die "installing olvwm failed"
 #	cd "${ED}"/usr
 
-	use static-libs || \
-		find "${ED}" -type f -name "*.a" -delete
+	if ! use static-libs; then
+		find "${ED}" -type f -name "*.a" -delete || die
+	fi
 
 	mv "${ED}"/usr/man "${ED}"/usr/share/ || die
 
 	cd "${S}"/doc || die
-	dodoc README xview-info olgx_api.txt olgx_api.ps sel_api.txt dnd_api.txt whats_new.ps
-	rm -rf "${ED}"/usr/X11R6/share/doc/xview "${ED}"/usr/X11R6/share/doc "${ED}"/usr/bin || die
+	dodoc \
+		README xview-info olgx_api.txt olgx_api.ps sel_api.txt \
+		dnd_api.txt whats_new.ps
+	rm -rf \
+		"${ED}"/usr/X11R6/share/doc/xview \
+		"${ED}"/usr/X11R6/share/doc \
+		"${ED}"/usr/bin || die
 }


             reply	other threads:[~2016-02-22 13:26 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-22 13:25 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-02-27 17:23 [gentoo-commits] proj/sci:master commit in: x11-libs/xview/ Justin Lecher
2012-07-31 10:11 Justin Lecher
2011-06-25 17:21 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456139967.3e0a8c14f67d70ca851753dee63bbae19621ab7b.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox